Bug 1459665 - Contents of "Mate Applications" group does not reflect re-retirement of beesu in fc26.
Contents of "Mate Applications" group does not reflect re-retirement of beesu...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mate-common (Show other bugs)
26
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-07 14:19 EDT by Gene Snider
Modified: 2017-06-18 00:37 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-13 13:32:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Contents of the group "Mate Applications". (377 bytes, text/plain)
2017-06-07 14:19 EDT, Gene Snider
no flags Details

  None (edit)
Description Gene Snider 2017-06-07 14:19:06 EDT
Created attachment 1285864 [details]
Contents of the group "Mate Applications".

Description of problem:
The group "Mate Applications" still references caja-beesu-manager and pluma-beesu-plugin even though they're not being built for fc26+.

Version-Release number of selected component (if applicable):
beesu-2.7-28.fc26+

How reproducible:
Always.

Steps to Reproduce:
1. Run 'sudo dnf -q group info "Mate Applications" > tmpfile'
2. Edit tmpfile to remove header lines.
3. Run "sudo dnf install $(<tmpfile)"

Actual results:
$ sudo dnf install $(<tmpfile)
Last metadata expiration check: 0:01:52 ago on Wed Jun 07 11:08:03 2017 PDT.
Package atril-thumbnailer-1.19.0-1.fc27.x86_64 is already installed, skipping.
Package caja-actions-1.8.2-1.fc26.x86_64 is already installed, skipping.
No package caja-beesu-manager available.
Package caja-share-1.18.1-1.fc27.x86_64 is already installed, skipping.
Package firewall-applet-0.4.4.4-1.fc27.noarch is already installed, skipping.
Package mate-icon-theme-faenza-1.18.1-1.fc27.noarch is already installed, skipping.
Package mate-menu-17.10.1-1.fc27.noarch is already installed, skipping.
Package mate-utils-1.18.2-1.fc27.x86_64 is already installed, skipping.
No package pluma-beesu-plugin available.
Package python-caja-1:1.18.0-1.fc27.x86_64 is already installed, skipping.
Error: Unable to find a match

Expected results:
caja-beesu-manager and pluma-beesu-plugin would NOT be pulled in by the contents of the "Mate Applications" file

Additional info:
This bug applies to rawhide, fc27, as well.

I see that caja-beesu is still being built for caja-extensions, and that mate-menu is still being built for panel inclusion.  Both of these depend on beesu.  Will they be dropped eventually?  Or, will mate-menu be updated to remove the beesu dependency? 

I use a shell script to automate desktop installation based on the groups returned by "sudo dnf -q group info GroupName".  So it's easy to work around this bug.  But this is clearly an oversight.
Comment 1 Tom "spot" Callaway 2017-06-07 14:21:52 EDT
beesu is d-e-a-d. Wayland makes it impossible, and it isn't maintained upstream for a number of years now even if we cared about the xorg use case. Reassigning this to mate-common (since I think this is a comps issue).
Comment 2 Gene Snider 2017-06-07 14:39:59 EDT
Thanks.  I wasn't sure which package to assign the bug to.
Comment 3 Wolfgang Ulbrich 2017-06-13 10:16:25 EDT
Pull request at fedora-comps is done https://pagure.io/fedora-comps/pull-request/131
Comment 5 Gene Snider 2017-06-16 18:14:32 EDT
Did you remove mate-menu as well?  It pulls in beesu as a dependency.

$ sudo dnf install mate-menu
...
Installing:
 beesu                       x86_64           2.7-27.fc24               fedora             28 k
 mate-menu                   noarch           17.10.1-1.fc25            updates           275 k
 python2-configobj           noarch           5.0.6-5.fc25              fedora             67 k
 python2-pyxdg               noarch           0.25-10.fc25              updates            92 k
 python2-xlib                noarch           0.19-2.fc25               updates           211 k
Comment 6 Wolfgang Ulbrich 2017-06-17 00:59:09 EDT
(In reply to Gene Snider from comment #5)
> Did you remove mate-menu as well?  It pulls in beesu as a dependency.
> 
> $ sudo dnf install mate-menu
> ...
> Installing:
>  beesu                       x86_64           2.7-27.fc24              
> fedora             28 k
>  mate-menu                   noarch           17.10.1-1.fc25           
> updates           275 k
>  python2-configobj           noarch           5.0.6-5.fc25             
> fedora             67 k
>  python2-pyxdg               noarch           0.25-10.fc25             
> updates            92 k
>  python2-xlib                noarch           0.19-2.fc25              
> updates           211 k

Why?
mate-menu needs /usr/bin/beesu, which isn't obsolete for devel/f26/f25.
See https://admin.fedoraproject.org/pkgdb/package/rpms/beesu/
Comment 7 Gene Snider 2017-06-17 16:58:44 EDT
(In reply to Wolfgang Ulbrich from comment #6)
> (In reply to Gene Snider from comment #5)
> > Did you remove mate-menu as well?  It pulls in beesu as a dependency.
> > 
> > $ sudo dnf install mate-menu
> > ...
> > Installing:
> >  beesu                       x86_64           2.7-27.fc24              
> > fedora             28 k
> >  mate-menu                   noarch           17.10.1-1.fc25           
> > updates           275 k
> >  python2-configobj           noarch           5.0.6-5.fc25             
> > fedora             67 k
> >  python2-pyxdg               noarch           0.25-10.fc25             
> > updates            92 k
> >  python2-xlib                noarch           0.19-2.fc25              
> > updates           211 k
> 
> Why?
> mate-menu needs /usr/bin/beesu, which isn't obsolete for devel/f26/f25.
> See https://admin.fedoraproject.org/pkgdb/package/rpms/beesu/

Comment #1 sounds like beesu will disappear someday.

> Tom "spot" Callaway 2017-06-07 14:21:52 EDT

> beesu is d-e-a-d. Wayland makes it impossible, and it isn't maintained
> upstream for a number of years now even if we cared about the xorg use case.
Comment 8 Wolfgang Ulbrich 2017-06-18 00:37:17 EDT
(In reply to Gene Snider from comment #7)
> (In reply to Wolfgang Ulbrich from comment #6)
> > (In reply to Gene Snider from comment #5)
> > > Did you remove mate-menu as well?  It pulls in beesu as a dependency.
> > > 
> > > $ sudo dnf install mate-menu
> > > ...
> > > Installing:
> > >  beesu                       x86_64           2.7-27.fc24              
> > > fedora             28 k
> > >  mate-menu                   noarch           17.10.1-1.fc25           
> > > updates           275 k
> > >  python2-configobj           noarch           5.0.6-5.fc25             
> > > fedora             67 k
> > >  python2-pyxdg               noarch           0.25-10.fc25             
> > > updates            92 k
> > >  python2-xlib                noarch           0.19-2.fc25              
> > > updates           211 k
> > 
> > Why?
> > mate-menu needs /usr/bin/beesu, which isn't obsolete for devel/f26/f25.
> > See https://admin.fedoraproject.org/pkgdb/package/rpms/beesu/
> 
> Comment #1 sounds like beesu will disappear someday.
> 
> > Tom "spot" Callaway 2017-06-07 14:21:52 EDT
> 
> > beesu is d-e-a-d. Wayland makes it impossible, and it isn't maintained
> > upstream for a number of years now even if we cared about the xorg use case.

1. MATE and wayland is disko 3000, and far from any interest for me ;-)
2. mate-menu and caja needs this binary, for this reason i maintain beesu.
3. I have read Tom's comment already.

Note You need to log in before you can comment on or make changes to this bug.